module irqmux(
// control
	input [2:0] sel,
	input nen,

// inputs
	input nirq0,
  input nirq1,
	input nirq2,
	input nirq3,
	input nirq4,
	input nirq5,
	input nirq6,
	input nirq7,

// output
	output reg nirq
);


always @*
begin
if (nen) // disabled, tied up by pull-up
	nirq <= 'bz;
else // enabled
begin
	case (sel)
	3'h0: nirq <= nirq0;
	3'h1: nirq <= nirq1;
	3'h2: nirq <= nirq2;
	3'h3: nirq <= nirq3;
	3'h4: nirq <= nirq4;
	3'h5: nirq <= nirq5;
	3'h6: nirq <= nirq6;
	3'h7: nirq <= nirq7;
	endcase
end
end

endmodule
